Rensei docs
API ReferenceOrganizations

Create an organisation owned by the signed-in user

Create an organisation owned by the signed-in user - Rensei REST API operation reference.

POST
/api/orgs

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Request Body

application/json
  1. body
name*string
Length1 <= length <= 200
slug*string
Match^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$
Lengthlength <= 100

Response Body

Free organisation with owner membership, default team and Starter project.

application/json
  1. response
org*
projectSlug*string
Example Request
curl -X POST 'https://app.rensei.ai/api/orgs' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "slug": "string"}'
Example Response
{  "org": {    "id": "string",    "name": "string",    "slug": "string",    "plan": "string"  },  "projectSlug": "string"}